package org.implab.gradle.common.sources;

import javax.inject.Inject;

import org.gradle.api.Named;

/**
 * Named output slot reserved by a variant.
 */
public abstract class BuildArtifactSlot implements Named {
    private final String name;

    @Inject
    public BuildArtifactSlot(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }
}
